<?php
namespace Incoviba\old\Proyecto;

use Carbon\Carbon;
use Incoviba\Common\Alias\OldModel as Model;

/**
 * @property int $id
 * @property ProyectoAgente $agente
 * @property \DateTime $fecha
 * @property TipoEstadoProyectoAgente $tipo
 */
class EstadoProyectoAgente extends Model
{
  public function agente()
  {
    return $this->belongsTo(ProyectoAgente::class, 'agente')->findOne();
  }
  public function fecha(\DateTime $fecha = null) {
    if ($fecha == null) {
      return Carbon::parse($this->fecha, config('app.timezone'));
    }
    $this->fecha = $fecha->format('Y-m-d');
  }
  public function tipo()
  {
    return $this->belongsTo(TipoEstadoProyectoAgente::class, 'tipo')->findOne();
  }
}
